cURL
curl --request PATCH \
--url https://api.comm.com/api/management/voice/provider-accounts/assign-number/{number} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"voice_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.comm.com/api/management/voice/provider-accounts/assign-number/{number}"
payload = { "voice_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({voice_provider_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.comm.com/api/management/voice/provider-accounts/assign-number/{number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"number": 123,
"voice_account_id": "<string>",
"inbound_agent_id": "<string>",
"sip_config": "<string>",
"disallowed_countries": "<string>",
"team_id": "<string>",
"voice_provider": "<string>",
"voice_provider_id": "<string>",
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Number
Patch managementvoiceprovider accountsassign number
PATCH
/
management
/
voice
/
provider-accounts
/
assign-number
/
{number}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The number ID
Body
application/json
Response
NumberResource
Show child attributes
Show child attributes
⌘I